Loading...
Searching...
No Matches
juce::dsp::ProcessorWrapper< ProcessorType > Struct Template Reference

`#include <juce_ProcessorWrapper.h>`

Inheritance diagram for juce::dsp::ProcessorWrapper< ProcessorType >:

## Public Member Functions

void | prepare (const ProcessSpec &spec) override
void | process (const ProcessContextReplacing< float > &context) override
void | reset () override

## Public Attributes

ProcessorType | processor

## Detailed Description

template<typename ProcessorType>
struct juce::dsp::ProcessorWrapper< ProcessorType >

Wraps an instance of a given processor class, and exposes it through the ProcessorBase interface.

See also
  ProcessorBase

Definition at line 58 of file juce_ProcessorWrapper.h.

## Member Function Documentation

## prepare()

template<typename ProcessorType>

void juce::dsp::ProcessorWrapper< ProcessorType >::prepare | ( | const ProcessSpec & | spec | ) |

inline override virtual

Implements juce::dsp::ProcessorBase.

Definition at line 60 of file juce_ProcessorWrapper.h.

## process()

template<typename ProcessorType>

void juce::dsp::ProcessorWrapper< ProcessorType >::process | ( | const ProcessContextReplacing< float > & | context | ) |

inline override virtual

Implements juce::dsp::ProcessorBase.

Definition at line 65 of file juce_ProcessorWrapper.h.

## reset()

template<typename ProcessorType>

void juce::dsp::ProcessorWrapper< ProcessorType >::reset | ( |  | ) |

inline override virtual

Implements juce::dsp::ProcessorBase.

Definition at line 70 of file juce_ProcessorWrapper.h.

## Member Data Documentation

## processor

template<typename ProcessorType>

ProcessorType juce::dsp::ProcessorWrapper< ProcessorType >::processor

Definition at line 75 of file juce_ProcessorWrapper.h.

The documentation for this struct was generated from the following file:

- juce_ProcessorWrapper.h